gnutls_transport_set_int2(3)

NAME
gnutls_transport_set_int2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_int2(gnutls_session_t session, int recv_int, int send_int);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int recv_int
    is the value for the pull function

int send_int
    is the value for the push function

DESCRIPTION
Used to set the first argument of the transport function (for push and pull callbacks), when using the berkeley style sockets. With this function you can set two different pointers for receiving and sending.

SINCE
3.1.9

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/